<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="car">
            <h2><span>Car</span> {{ car.id }}</h2>

            <hr>

            <jhi-alert-error></jhi-alert-error>

            <dl class="row-md jh-entity-details">
                <dt><span>Name</span></dt>
                <dd>
                    <span>{{ car.name }}</span>
                </dd>
                <dt><span>Model</span></dt>
                <dd>
                    <span>{{ car.model }}</span>
                </dd>
                <dt><span>Capacity</span></dt>
                <dd>
                    <span>{{ car.capacity }}</span>
                </dd>
                <dt><span>Registration Number</span></dt>
                <dd>
                    <span>{{ car.registrationNumber }}</span>
                </dd>
                <dt><span>Rate</span></dt>
                <dd>
                    <span>{{ car.rate }}</span>
                </dd>
                <dt><span>Status</span></dt>
                <dd>
                    <span>{{ car.status }}</span>
                </dd>
                <dt><span>Image</span></dt>
                <dd>
                    <div *ngIf="car.image">
                        <a (click)="openFile(car.imageContentType, car.image)">
                            <img [src]="'data:' + car.imageContentType + ';base64,' + car.image" style="max-width: 100%;" alt="car image"/>
                        </a>
                        {{ car.imageContentType }}, {{ byteSize(car.image) }}
                    </div>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span>Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/car', car.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span>Edit</span>
            </button>
        </div>
    </div>
</div>
